Imports Newtonsoft.Json

Public Class location

    Private _latitude As Double
    Private _longitude As Double
    Private _altitude As Double
    Private product As Object

    Public Sub New(latitude, longitude)
        _latitude = latitude
        _longitude = longitude
    End Sub

    Public Sub New(latitude, longitude, altitude)

        _latitude = latitude
        _longitude = longitude
        _altitude = altitude

    End Sub

    ReadOnly Property Latitude As Double
        Get
            Return _latitude
        End Get
    End Property

    ReadOnly Property Longitude As Double
        Get
            Return _longitude
        End Get
    End Property

    ReadOnly Property Altitude As Double
        Get
            Return _altitude
        End Get
    End Property

End Class
